# Person role search totals

Organization person role search totals.

Endpoint: POST /api/{account_id}/datastorage/person_role_search/totals/
Version: 1.0.0
Security: Api-Key

## Security:

  - `Api-Key` (unknown)
    apiKey in header X-API-KEY

## Path parameters:

  - `account_id` (integer, required)

## Request fields (application/json):

  - `page` (integer)

  - `role_title` (string)
    This field supports a boolean text search query.

  - `role_description` (string)
    This field supports a boolean text search query.

  - `role_is_current` (boolean)

  - `role_position_start_date` (string)

  - `role_position_end_date` (string)

  - `role_years_on_position_start` (integer)

  - `role_years_on_position_end` (integer)

  - `person_name` (string)
    This field supports a boolean text search query.

  - `person_headline` (string)
    This field supports a boolean text search query.

  - `person_description` (string)
    This field supports a boolean text search query.

  - `person_skills` (array)
    To get a list of IDs use Person skills lookup endpoint.

  - `person_locations` (array)
    To get a list of IDs use Locations lookup endpoint.

  - `person_industries` (array)
    To get a list of IDs use Industries lookup endpoint.

  - `person_industries_exclude` (array)
    To get a list of IDs use Industries lookup endpoint.

  - `person_linkedin_public_identifiers` (array)
    LinkedIn person "Public identifier/Slug/ID" - "linkedin.com/in/!slug!/".

  - `organizations` (array)
    To get a list of IDs use Organizations lookup endpoint.

  - `organizations_bulk_domain` (string)

  - `organization_domains` (array)

  - `organization_description` (string)
    This field supports a boolean text search query.

  - `organization_locations` (array)
    To get a list of IDs use Locations lookup endpoint.

  - `organization_industries` (array)
    To get a list of IDs use Industries lookup endpoint.

  - `organization_industries_exclude` (array)
    To get a list of IDs use Industries lookup endpoint.

  - `organization_keywords` (array)
    To get a list of IDs use Organization keywords lookup endpoint.

  - `organization_web_technologies` (array)
    To get a list of IDs use Web technologies lookup endpoint.

  - `organization_founded_date_start` (string)

  - `organization_founded_date_end` (string)

  - `organization_employees_start` (integer)

  - `organization_employees_end` (integer)

  - `organization_revenue_start` (integer)

  - `organization_revenue_end` (integer)

  - `organization_domain_rank_start` (integer)

  - `organization_domain_rank_end` (integer)

  - `organization_linkedin_public_identifiers` (array)
    LinkedIn organization "Public identifier/Slug/ID" - "linkedin.com/company/!slug!/".

  - `funding_types` (array)

  - `funding_total_start` (integer)

  - `funding_total_end` (integer)

  - `funding_event_date_featured_start` (string)

  - `funding_event_date_featured_end` (string)

  - `job_post_title` (string)
    This field supports a boolean text search query.

  - `job_post_description` (string)
    This field supports a boolean text search query.

  - `job_post_is_remote` (boolean)

  - `job_post_is_active` (boolean)

  - `job_post_date_featured_start` (string)

  - `job_post_date_featured_end` (string)

  - `job_post_locations` (array)
    To get a list of IDs use Locations lookup endpoint.

  - `job_post_locations_exclude` (array)
    To get a list of IDs use Locations lookup endpoint.

  - `simple_event_source` (string)
    * `product_hunt` - Product Hunt
* `form_c_sec_gov` - Form C sec.gov
* `form_d_sec_gov` - Form D sec.gov
    Enum: "product_hunt", "form_c_sec_gov", "form_d_sec_gov"

  - `simple_event_reason` (string)
    * `report_released` - Report released
* `promoted_on_site` - Promoted on site
    Enum: "report_released", "promoted_on_site"

  - `simple_event_date_featured_start` (string)

  - `simple_event_date_featured_end` (string)

## Response 200 fields (application/json):

  - `total_search_results` (integer, required)

  - `total_persons` (integer, required)

  - `total_organizations` (integer, required)

